Description: Disable HTTP requests during build
 Remote resources such as images fetched over HTTP are not allowed at build
 time so this patch skips these tests if the environment variable
 LOCAL_BUILD is present.
Author: Michael Fladischer <FladischerMichael@fladi.at>, 2015-10-08
Origin: vendor
Forwarded: not-needed
Last-Update: 2023-01-25
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/tests/thumbnail_tests/test_engines.py
+++ b/tests/thumbnail_tests/test_engines.py
@@ -196,6 +196,8 @@
             default.kvstore.get(im).serialize_storage(),
             'tests.thumbnail_tests.storage.TestStorage',
         )
+        if os.environ.get('LOCAL_BUILD', False):
+            return
         im = ImageFile('https://dummyimage.com/300x300/')
         default.kvstore.set(im)
         self.assertEqual(
--- a/tests/thumbnail_tests/test_templatetags.py
+++ b/tests/thumbnail_tests/test_templatetags.py
@@ -1,5 +1,6 @@
 import os
 import re
+import unittest
 from subprocess import Popen, PIPE
 from PIL import Image
 
@@ -119,10 +120,12 @@
 
 
 class TemplateTestCaseB(BaseTestCase):
+    @unittest.skipIf(os.environ.get('LOCAL_BUILD', False), "No remote resources desired")
     def test_url(self):
         val = render_to_string('thumbnail3.html', {}).strip()
         self.assertEqual(val, '<img style="margin:0px 0px 0px 0px" width="20" height="20">')
 
+    @unittest.skipIf(os.environ.get('LOCAL_BUILD', False), "No remote resources desired")
     def test_portrait(self):
         val = render_to_string('thumbnail4.html', {
             'source': 'https://dummyimage.com/120x100/',
--- a/tests/thumbnail_tests/test_filters.py
+++ b/tests/thumbnail_tests/test_filters.py
@@ -1,3 +1,6 @@
+import os
+import unittest
+
 import pytest
 from django.template.loader import render_to_string
 
@@ -8,6 +11,7 @@
 
 
 class FilterTestCase(BaseTestCase):
+    @unittest.skipIf(os.environ.get('LOCAL_BUILD', False), "No remote resources desired")
     def test_html_filter(self):
         text = '<img alt="A image!" src="https://dummyimage.com/800x800" />'
         val = render_to_string('htmlfilter.html', {'text': text, }).strip()
@@ -28,6 +32,7 @@
             val
         )
 
+    @unittest.skipIf(os.environ.get('LOCAL_BUILD', False), "No remote resources desired")
     def test_markdown_filter(self):
         text = '![A image!](https://dummyimage.com/800x800)'
         val = render_to_string('markdownfilter.html', {'text': text, }).strip()
